Crashpad

Public Member Functions | Public Attributes | List of all members
crashpad::TSimpleAddressRangeBag< NumEntries >::Entry Struct Reference

A single entry in the bag. More...

`#include "client/simple_address_range_bag.h"`

## Public Member Functions
bool | is_active () const
| Returns the validity of the entry. More...

## Public Attributes
uint64_t | base
| The base address of the range.
uint64_t | size
| The size of the range in bytes.

## Detailed Description

### template<size_t NumEntries = 64>
struct crashpad::TSimpleAddressRangeBag< NumEntries >::Entry

A single entry in the bag.

## Member Function Documentation

## ◆ is_active()

template<size_t NumEntries = 64>

bool crashpad::TSimpleAddressRangeBag< NumEntries >::Entry::is_active | ( |  | ) | const
| inline

Returns the validity of the entry.

If base and size are both zero, the entry is considered inactive, and this method returns `false`. Otherwise, returns `true`.

The documentation for this struct was generated from the following file:

- client/simple_address_range_bag.h